Skip to main content

List Comments

GET

https://app.smartsuite.com/api/v1/comments/?record=[Record_Id]

Gets a record's comments. Returns an object whose results array holds the comment objects.

Example Request
curl -X GET https://app.smartsuite.com/api/v1/comments/?record=640a385d0a86e2924f8dd382 \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID"

Query Parameters​

ParamTypeOptionalDescription
recordstringYesRecord id to retrieve comments for.
applicationstringYesTable (App) id to retrieve comments for.
solutionstringYesSolution id to retrieve comments for.
Note

Query parameters are optional, and serve to restrict the scope for returned comments. A GET made without any query parameters will return all comments for the Workspace.

Response Format​

ParamTypeDescription
countnumber or nullNumber of comments. May be null.
nextstring or nullURL of the next page of results, or null.
previousstring or nullURL of the previous page of results, or null.
resultsArray of objectsArray of comment objects.
200 Response - Example

{
"count": null,
"next": null,
"previous": null,
"results": [
{
"solution": "640a3811c9d3ea77099331e2",
"application": "640a3811c9d3ea77099331e7",
"record": "640a385d0a86e2924f8dd382",
"member": "63a1f65723aaf6bcb564b1f1",
"message": {
"data": {
"type": "doc",
"content": [
{
"type": "paragraph",
"attrs": {
"textAlign": null
},
"content": [
{
"type": "text",
"text": "test"
}
]
}
]
},
"html": "<div class=\"rendered\">\n <p>test</p>\n</div>",
"preview": "test"
},
"parent_comment": null,
"created_on": "2023-03-20T12:49:05.832000Z",
"deleted_on": null,
"updated_on": null,
"reactions": [],
"key": 1,
"assigned_to": null,
"resolved_by": null,
"followers": [
"63a1f65723aaf6bcb564b1f1"
],
"type": "comment",
"email": null,
"id": "64185642174d214da05fa9c2"
}
]
}